%! TEX root = ../../master.tex
\lecture[Homology of torus and figure eight. Cycles and boundaries. Semi-simplicial sets. Linearization. $\Delta_{\textrm{inj}}$. Geometric realization. Singular homology.]{Th 14 Oct 2021}{(Singular) homology}

\begin{remark*}\label{rm:vertices-of-simplex-are-ordered}
    The vertices of $\Delta^n$ are ordered. Thus also $\Delta^n \to X$ specifies this, i.e. the embeddings of $\Delta^2$ into $\mathbb{R}^2$

    \missingfigure{maps}
    are different maps.

    The orders on the boundaries have to agree, e.g. we can view $[0,1]^2$ as

    \missingfigure{unit square ok}

    but not as
    \missingfigure{unit square not ok}.

    This is imposed by the condition that $α \circ  δ^i \in A_{n-1}$: If the order does not agree on the boundary, this implies that we have at least maps from $\Delta^{n-1}$ to the boundary to the boundary, one for each direction, which will violate condition 2) in \autoref{def:delta-complex}.

    To express the ordering of the simplices, in images we will often draw arrows indicating the direction of the corresponding edges, like in the images above.
\end{remark*}

\begin{example}\label{ex:homology-of-torus-using-delta-complex}
    Let $T$ be a  torus, realized with three 2-simplices, three 1-simplices and a 0-simplex as a $\Delta$-complex as follows:

    \missingfigure{Torus as delta complex}
    
    Computing the chain complex yields:

    \begin{IEEEeqnarray*}{Cl}
        \Delta_2(T) \cong \Z^2 & ~ ~ \text{(generated by $U, V$)}\\
        \Delta_1(T) \cong \Z^3 & ~ ~\text{(generated by $a,b,c$)}\\
        \Delta_0(T) \cong \Z &  ~ ~\text{(generated by $v$)}
    \end{IEEEeqnarray*}

    For the boundary maps, we get the images:
    \begin{IEEEeqnarray*}{rCl}
        &\partial_2(U) &= b - c + a\\
        &\partial_2(V) &= a - c + b = \partial_2(u)\\
        \implies &H_2^{\Delta}(T) &\cong \ker \partial_2 \cong \Z ~ \text{(generated by $U - V$)}
    \end{IEEEeqnarray*}
    Thus, as $b - c + a = a-c+ b \neq 0\in \Delta_1(T)$, we have:
    \[
        H_2^{\Delta}(T) = \faktor{\ker \partial_2}{\im \partial_3} = \ker \partial_2 \cong \mathbb{Z} \cong \left< U-V \right> 
    \] 

    For the first homology, we get that all boundaries vanish
    \[
        \partial_1(a) = \partial_1(b) = \partial_1(c) = v - v = 0
    \] 
    and hence
    \[
        H_1^{\Delta}(T) \cong \faktor{\ker \partial_1}{\im \partial_2} \cong \faktor{\Z^3}{\im \partial_2} \cong \faktor{\mathbb{Z}^3}{\left< c-a+b \right> } \stackrel{c=a+b}{\cong} \Z^2
    \] 
    Finally, we also get
    \[
        H_0^{\Delta}(T) \cong \faktor{\ker \partial_1}{\im \partial_1} = \faktor{\mathbb{Z}}{0} \cong \mathbb{Z}
    \] 
\end{example}

\begin{oral}
We will observe that $H_0^{\Delta} \cong \mathbb{Z}$ is quite common, namely for connected spaces.

In the example, the groups are torsion-free, however this does not have to be the case in general (in contrast to the chain groups that are free by definition).
\end{oral}

\begin{example}\label{ex:homology-of-figure-eight-using-delta-complex}
    Consider the \vocab{figure eight}, namely $S^1 \vee S^1$. We can realize this as a $\Delta$-complex with two 1-simplices and one 0-simplex as follows:
    \missingfigure{delta complex}

    Again, $\partial_1$ is trivial to compute:
     \[
         \partial_1(a) = \partial_1(b) = v - v = 0.
    \] 
    Thus
    \[
        H_n^{\Delta}(S^1 \vee S^1) \cong \begin{cases}
            \Z &\text{if } n = 0\\
            \Z^2 &\text{if } n = 1\\
            0 &\text{if } n \ge 2
        \end{cases}
    \] 
\end{example}

\begin{remark}\label{rm:first-homology-is-abelianization-of-fundamental-group-and-homology-is-independent-of-delta-complex-structure}
    Note that for the Torus, we had  $\pi_1(T) \cong H_1^{\Delta}(T)$, but for $S^1 \twedge S^1$ this did not hold.

    However, in all examples above we have $H_1^\Delta \cong \pi_1^{\text{ab}}$.
    We will see that this holds in general.

    We will further see that $H_n^\Delta$ only depends on the underlying space and not on the $\Delta$-structure. For this we will first generalize homology to all spaces.
\end{remark}

\begin{definition}[Cycles, boundaries]\label{def:cycles-boundaries}
    Elements in $\ker \partial_n \subseteq C_n$ are called \vocab{cycles}.
    Elements in $\im \partial_{n+1} \subseteq C_n$ are called \vocab{boundaries}.
    
    \missingfigure{why are cycles called cycles?}
\end{definition}

\subsection{Semi-simplicial sets}

\begin{oral}
    Semi-simplicial sets are somewhat more abstract. If you don't like that, you can mostly ignore them for the rest of the lecture.
\end{oral}

\begin{definition}\label{def:semi-simplicial-set}
    A \vocab{semi-simplicial set} $S_\chainbullet$ (or $\Delta$-set) is a sequence $(S_n)_{n=0}^\infty$ of sets together with maps
    $d_i : S_{n+1} \to  S_n$ for $i \in  \{0,\ldots, n+1\}$ that satisfy $d_j \circ d_{i} = d_i \circ d_{j+1} ~\forall i \le j$.
\end{definition}

\begin{oral}
    First note that ther really are $n+2$ (potentially different) maps  $S_{n+1} \to  S_n$ that are part of the data of a simplicial set.
\end{oral}

\begin{remark*}\label{rm:semi-simplicial-set-is-functor}
    A semi-simplicial set can also be viewed as a functor, as we will see in \autoref{lm:semi-simplicial-sets-are-equivalent-to-functors-from-delta-inj-prime-to-set}.
\end{remark*}

\begin{example}\label{ex:chain-groups-are-semi-simplicial-set}
Let $X $ be a $\Delta$-complex. Then setting $S_n \coloneqq A_n$ and $d_i$ as the restriction along $\delta^i$ (i.e. $d_i(\alpha) = \alpha \circ \delta^i$) yields a a semi-simplicial set, as we have
    \[
    d_j \circ d_i = d_i \circ d_{j+1} ~ \text{for } i \le j
    \] 
    by \autoref{lm:composition-of-boundary-maps-index-swapping}.
\end{example}

As with the $n$-chains of a  $\Delta$-complex , one can form a chain complex from a semi-simplicial complex as well:

\begin{lemmadef}\label{def:linearization}
    The \vocab{linearization} of $S_\bullet$ is the chain complex $(\Z S_{\bullet}, \partial)$ given by
    \[
        (\Z S)_n \coloneqq \Z \left[ S_n \right] 
    \] 
    (the formal finite linear combinations of the elements of $S_n$)
    and as boundary maps
    \[
        \partial_n \coloneqq \sum_{i=0}^{n} (-1)^i d_i
    \].
    This forms a chain complex, that gives $(\Delta_{\chainbullet}, \partial)$ in the special case of a $\Delta$-complex treated as in \autoref{ex:chain-groups-are-semi-simplicial-set}.
\end{lemmadef}
\begin{proof}
    The chain complex property just follows analoguously to \autoref{lm:composition-of-boundaries-is-zero}, as we just needed the property of \autoref{lm:composition-of-boundary-maps-index-swapping} for its proof and this is just part of the definition of a semi-simplicial set. It is easy to check that this yields $(\Delta_{\chainbullet},\partial)$ in the case of a $\Delta$-complex.
\end{proof}

\begin{definition}[category of ]\label{def:delta-inj-category}
    The category \vocab{$\Delta_{\text{inj}}$} consists of:
        \begin{itemize}
            \item the non-empty, linearly ordered, finite sets as objects
            \item the injective, order-preserving maps between them
        \end{itemize}
\end{definition}

\begin{remark}\label{rm:delta-inj-prime-full-subcategory}
    We can consider the full subcategory $\Delta_\text{inj}'$ of $\Delta_\text{inj}$ on the objects $[n] = \{0,\ldots,n\}$. The inclusion of this subcategory is an equivalence of categories.
\end{remark}

\begin{recap}\label{recap:properties-of-functors-full-faithfull-essentially-surjective-equivalence}
    A functor $\mathcal{F}\colon  \mathcat{C}\to \mathcat{D}$ is \vocab{full}, if for each pair of objects $A,B \in \mathcat{C}$, the map of sets
    \[
        \mathcal{F}\colon \Mor_{\mathcat{C}}(A,B) \to  \Mor_{\mathcat{D}}(\mathcal{F}(A),\mathcal{F}(B))
    \] 
    is surjective. $\mathcal{F}$ is called \vocab{faithful}, if this map is injective. A functor that is both full and faithful (meaning above map is a bijection) is also called a \vocab{fully faithful} functor. 

    $\mathcal{F}$ is \vocab{essentially surjective}, if for each $B\in \mathcal{D}$, there is some $A\in \mathcat{C}$ with $\mathcal{F}(A) \cong B$, i.e. it is surjective up to isomorphism (in the category $\mathcal{D}t$).

    If $\mathcal{F}$ is fully faithful and essentially surjective, $\mathcal{F}$ is called an \vocab{equivalence} of categories, we also say that $\mathbb{C}$ and $\mathcat{D}$ are equivalent.

    If you are not familiar with these notions yet, check them in the case of $\Delta_{\text{inj}}'\hookrightarrow \Delta_{inj}$.
\end{recap}

\begin{orga}
    If you don't know what a category is, come to the Q\&A-session on next monday.
\end{orga}

\begin{lemma}\label{lm:semi-simplicial-sets-are-equivalent-to-functors-from-delta-inj-prime-to-set}
    There is a bijection between semi-simplicial sets and functors  $\Delta'_{\text{inj}}{}^\text{op} \to  \Set$.
\end{lemma}

\begin{proof}[sketched]
    Every morphism $[k] \to  [n]$ in $\Delta'_\text{inj}$ is a composition of morphisms
    of the form $\delta^i = \delta^{ni}: [n-1] \to  [n]$ that send
    $j$ to $j$ for $j < i$.
    $j$ to $j+1$ for $j \ge i$.
    
    Roughly, one sees this by iteratively embedding $[k] \hookrightarrow [k+1] \hookrightarrow  \ldots \hookrightarrow [n]$ whilst skipping the elements that do not lie in the image.

    This decomposition (into maps $δ^i$) is unique up to the relation $\delta^i \circ δ^j = \delta^{j+1} \circ \delta^i ~ \forall i \leq j$.

    Hence a contravariant functor from $\Delta'_\text{inj}$ is determined by a set $S_n$ for each $[n]$ and functions $(δ^i)^{\star} = d_i: S_n \to S_{n-1} ~ \forall i \in  \{0,\ldots,n\}$  with $d_j \circ d_i = d_i \circ d_{j+1} \forall i \le j$.

    But this is precisely the datum of a semi-simplicial set, so the two notions agree.
\end{proof}

\begin{remark*}\label{remark:motivation-semi-simplicial-sets}
    For a quick motivation, consider the map
        \begin{equation*}
        \begin{array}{c c l} 
            \left[1\right] & \longrightarrow & \left[3\right] \\
        0 & \longmapsto &  1 \\
        1 & \longmapsto & 3
        \end{array}
    \end{equation*}
    Then there are two ways of decomposing this, namely
    \begin{equation*}
        \begin{array}{c c c c c}
            \left[ 1 \right] & \longrightarrow & \left[ 2 \right] & \longrightarrow & \left[ 3 \right] \\
            0 & \longmapsto & 0 & \longmapsto &1 \\
            1 & \longmapsto & 2 & \longmapsto &3 \\
              & & 1 &\longmapsto & 2
        \end{array}
        \quad \text{and} \quad
        \begin{array}{c c c c c}
            \left[ 1 \right] & \longrightarrow & \left[ 2 \right] \longrightarrow & \left[ 3 \right] \\
            0 & \longmapsto & 1 & \longmapsto & 1 \\
            1 & \longmapsto & 2 & \longmapsto 3 \\
              & & 0 & \longmapsto & 0
        \end{array}
    \end{equation*}
    To see that this is in fact (and in general) unique up to the given relation, one would have to do some combinatorics, but this is not to be part of our course.
\end{remark*}


\begin{remark}
    $\Fun(\Delta_{\text{inj}}'{}^{\text{op}}, \Set)$ is equivalent to $\Fun(\Delta_\text{inj}^{\text{op}}, \Set)$.
\end{remark}
\todo{handle $^{op}$ correctly.}

\begin{definition}[Geometric realization of a semi-simplicial set]\label{def:geometric-realization-of-semi-simplicial-set}
    The \vocab{geometric realization} of a semi-simplicial set $S_{\bullet}$ is the (quotient) space 
    
    \[
        |S| = \faktor{\coprod\limits_{n \in  \N_0} S_n \times \Delta^n}{\sim}
    \]
    where the relation $\sim $ is generated by 
    \[
        (\sigma, \delta^i t) \sim (d_i \sigma, t) \qquad \forall \sigma \in  S_n, t \in  \Delta^{n-1}
    \]
\end{definition}

\begin{oral}
    Essentially, this takes a simplex $\Delta^n$ for each element of each  $S_n$, identifying those parts of the simplices that correspond via the boundary maps  $d_i$.

    Also, this is quite abstract now, if you are confused about it, do not worry too much.
\end{oral}

\begin{lemma}\label{lm:bijection-between-interiors-of-simplices-and-realization-of-semi-simplicial-complex}
    For every semi-simplicial set $S_\bullet$ the inclusion induces a bijection (not homeomorphism!) 
    \[
    \coprod_{n \in  \mathbb{N}_0} S_n \times \Delta^{\circ n} \stackrel{\simeq}{\longrightarrow}   | S|
    \] 
\end{lemma}

\begin{proof}
    For every $(s,t) \in  S_n \times  \Delta^n$ $t$ is contained in the interior of a unique  $k$-face of $\Delta^n$ (potentially $k=n$).
    Let $f: \Delta^k \to  \Delta^n$ be the inclusion of this face and let $y \in \Delta^k$ such that $f(y) = t$. 
    For a decomposition $f = \partial^{i_1} \circ \ldots \circ \partial^{i_k}$ denote $f^{\ast} \coloneqq d_{i_k} \circ \ldots \circ d_{i_1} : S_n \to  S_k$ as the 'dual' map on the $S_n$'s.

    By inductively applying the relation from \autoref{def:geometric-realization-of-semi-simplicial-set}, we see that $(s,t) \sim (f^\ast s , y)$. Thus the map is surjective, as $f^{\star}s$ lies in the interior of $y$ by construction.

    It remains to show injectivity: For a given $(s,t)$ $f$ and $y$ already are unique.
    If $(s,t) = (d_i s',t) \sim  (s', \delta^i t)$ then 
    \[
        (s', \delta^i t) = s', (\delta^i \circ f)(y)) \cong ((f^\ast \circ d_i)(s'), y) = (f^\ast s, y)
    \]
    Similarly, if $(s,t) = s, \delta^i t') \sim  (d_i s, t')$, then there exists 
    \[
        f': \Delta^k \to  \Delta^{n-1} \text{ with } \delta^i \circ f' = f
    \]
    and thus  $(d_i s, t') = (d_i s, f'(y)) \sim ({f'}^\ast d_i s, y) = (f^\ast s,y)$
\end{proof}

\begin{corollary}\label{cor:realization-of-semi-simplicial-complex-is-delta-complex}
     The realization of a semi-simplicial set is a $\Delta$-complex.
\end{corollary}

\begin{proof}
    Have a look at \autoref{def:delta-complex}. 
    \begin{enumerate}[1)]
        \item \& 2) follow from the bijectivity in \autoref{lm:bijection-between-interiors-of-simplices-and-realization-of-semi-simplicial-complex}.
            \setItemnumber{3}
        \item follows from $(s, \delta^i t) \sim  (d_i s, t) $ % TODO in s_n-1
        \item follows from the definition of the quotient topology.
    \end{enumerate}
\end{proof}

\begin{remark}\label{rm:delta-complexes-and-semi-simplicial-sets-are-essentially-the-same}
    If the semi-simplicial set comes from a $\Delta$-complex, its realization is homeomorphic to the $\Delta$-complex. Thus, $\Delta$-complex and semi-simplicial sets are really just the same thing as one can switch between each other.
\end{remark}

\DeclareSimpleMathOperator{sing}

\section{Singular homology}
\begin{definition}[Singular sets]\label{def:singular-sets}
    Let $X$ be a space.
    \begin{enumerate}[1)]
        \item We define the \vocab{singular set} $\sing(X)$ as the semi-simplicial set given by
    \[
        \sing_n(X) \coloneqq  \left \{σ\colon \Delta^n \to  X \mid δ \text{ continuous}\right\} 
    \] 
    where 
    \[
        d_i\colon \sing_n(X) \to  \sing_{n-1}(X)
    \] 
    are given by the natural restrictions along $δ^i$.
\item Denote $C_n^{\sing}(X) \coloneqq  \mathbb{Z}\left[ \sing_n(X) \right]$ as the chains.
    \end{enumerate}
\end{definition}

\begin{definition}[Singular homology]\label{def:singular-homlogy}
    The \vocab{$n$th singular homology} group of $X$ is defined as
    \[
        H_n(X) \coloneqq  H_n(C_{\chainbullet}^{\sing}(X),\partial)
    \] 
\end{definition}

\begin{oral}
    The motivation for this comes from the semi-simplicial sets: For an arbitrary space, we are not (directly) able to define chains as we did for  $\Delta$-complexes, so the singular sets are just there to have such a structure we can compute homlogy on.
\end{oral}


\begin{remark}\label{rm:singular-homology-uncountable-chains}
    Note that $\sing_n(X)$ might be really large, in fact most of the time have uncountably many generators (e.g. as soon as $X$ is uncountable). But  $H_n(X)$ is often finitely generated. We will in fact see that for  $\Delta$-complexes it holds
    \[
        H_{\star}^{\Delta}(X) \cong H_{\star}(X)
    \] 
\end{remark}

\begin{example}\label{ex:singular-homology-of-one-point-space}
    Let $X = \left \{\star\right\}$ be the one-point-space. Then
    \[
        \sing_n(X) = \left \{\Delta^n \to  \star\right\}  = \left \{\star\right\} 
    \] 
    thus $\mathbb{Z}\left[ \sing_n(X) \right] \cong \mathbb{Z}$ for all $n$. Since all the  $d_i$ agree, we have 
    \[
    \partial_n = \begin{cases}
        \id = n \text{ even} \\
        0 & n \text{ odd}
    \end{cases}
    \] 
    (remember that $\partial_n$ was an alternating sum of $d_i$). Thus as a chain complex, we get
     \[
 \ldots \to    \mathbb{Z} \stackrel{\id}{\longrightarrow} \mathbb{Z} \stackrel{0}{\longrightarrow}\mathbb{Z} \stackrel{\id}{\longrightarrow} \mathbb{Z}\stackrel{0}{\longrightarrow} \mathbb{Z} \stackrel{\id}{\longrightarrow} \mathbb{Z} \stackrel{0}{\longrightarrow} \mathbb{Z} \stackrel{}{\longrightarrow} 0
    \] 
    Thus
    \[
        H_n(\left \{\star\right\} ) = \begin{cases}
            \mathbb{Z} & n = 0 \\
            0 & n\geq 1
        \end{cases}
    \] 
\end{example}
